Release publicly the connector
The connector would be available to all users.
Sign in to run requests against the CDE API.
Authorization
oAuth2AuthCode AuthorizationBearer <token>
In: header
Path Parameters
publicId*string
Format
uuidconnectorVersion*string
Major version number as an integer
- For 1.0.5 use
1 - For 2.5.6 use
2
You can also use latest for the latest version, or main for the currently main released version.
Match
^main|latest|\d+$Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/release"{
"message": "Successfully released."
}{
"message": "Bad request.",
"errors": {
"connector-version": "Connector is already released."
}
}{
"message": "You have to be authorized to access this resource."
}{
"message": "Connector not found."
}How is this guide?
Validate channels assigned to the Connector. GET
Previous Page
Recreate connector on platform based on version configuration that was backed up after synchronizing to prod POST
This action will: * update the executable entity on the platform with its related options and version, * Update the datasource form to match the configuration (or create it)